- [HTTP request](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#body.request_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#body.response_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#body.LookupLandscapeResponse.SCHEMA_REPRESENTATION)
- [Landscape](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#Landscape)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#Landscape.SCHEMA_REPRESENTATION)

Lookup landscape data at a given geographical location.

### HTTP request

`POST https://agriculturalunderstanding.googleapis.com/v1:lookupLandscape`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/agricultural-understanding/reference/rest/v1/errors)

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locationSpecifier": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`) }, "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) }, "includeNonAgriculturalAreas": boolean, "captureDate": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/Date`) } } ``` |

| Fields ||
|---|---|
| `locationSpecifier` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`)`` Required. The location specifier of the landscape. |
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` Optional. The version of the data. If not specified, the latest version will be returned. |
| `includeNonAgriculturalAreas` | `boolean` Optional. If true, non-agricultural areas (e.g. deserts, hills, cities, etc.) will be included in the response. |
| `captureDate` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/Date`)`` Optional. If specified, only landscape data captured on this date will be returned. |

### Response body

Response message for v1.lookupLandscape method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "landscape": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#Landscape`) } } ``` |

| Fields ||
|---|---|
| `landscape` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/lookupLandscape#Landscape`)`` The landscape data. |

## Landscape

Landscape data.

| JSON representation |
|---|
| ``` { "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) }, "geojson": string } ``` |

| Fields ||
|---|---|
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` The data version of the landscape. |
| `geojson` | `string` The landscape data as a [GeoJSON](https://geojson.org/) string. The type of the object is [FeatureCollection](https://datatracker.ietf.org/doc/html/rfc7946#section-3.3). See the [Feature property](https://developers.google.com/agricultural-understanding/landscape-understanding#feature_property) for more details about the properties of Feature objects in the FeatureCollection. |